#include <iostream>

using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int a[n];
    if(k == n)
    {
        a[0] = 1;
        a[n-1] = 2*x + 1;
        for(int i=1;i<n-1;i++)
            a[i] = x + i;
    }
    for(int i=0;i<n;i++)
        cout << a[i] << " ";
    return 0;
}